/**
* 2026-05-03 17:01:58 | www.dreamdesignsweb.com
*/

.checkoutNaviBar {
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    height: 50px;
    text-align: right;
    background-color: #fafafa;
    z-index: 99;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);

    @media (max-width: 768px) {
        top: 54px;
    }
}
.checkoutNaviBarInner {
    max-width: 1300px;
    margin: 0 auto;
    padding: 10px 1rem;
    text-align: right;
}
.checkoutNaviBar .button {
    font-size: 0.75rem;
    border-radius: 0.19rem;
    border: solid 1px #333;
    box-shadow: none;
}
.checkoutNaviBar .button > span {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    bottom: 2px;
    font-size: 1.25rem;
    line-height: 0;
    vertical-align: middle;
}
.checkoutNaviBar .iconCart {
    position: relative;
    display: none;
    margin-right: 1rem;
}
.checkoutNaviBar .iconCartShow {
    @media (max-width: 768px) {
        display: inline-block;
    }
}
.checkoutNaviBar .cartCounter {
    position: absolute;
    display: block;
    box-sizing: border-box;
    left: -12px;
    bottom: -5px;
    padding: 2px 5px;
    font-size: 10px;
    text-align: center;
    color: #fff;
    z-index: 3;
    border-radius: 5px;
    background-color: rgb(163, 40, 40);
}

.contentBody {
    width :100%;
    max-width: 800px;
    margin: 0 auto;
    padding-top: 3rem !important; /* overwrite default */

    @media (max-width: 430px) {
        padding-top: 1.5rem !important;
    }
}

h1 {
    @media (max-width: 540px) {
        font-size: 1.75rem;
    }
    @media (max-width: 430px) {
        font-size: 1.563rem;
    }
}

.contentSection {
    @media (max-width:600px) {
        padding: 0 0 2.5rem 0 !important;
    }
}

h2 {
    font-size: 22px;
    margin-bottom: 1rem;
}

/* Customer wrapper */
.customerWrapper {
    min-width: 370px;
    width: 100%;
    max-width: 800px;
    margin: 2rem auto;
    padding: 1rem;
    border-left: solid 1px #c0c0c0;

    @media (max-width:360px) {
        min-width: unset;
    }
}
.customerWrapper .customerRow {
    display: flex;
    align-items: center;

    @media (max-width:600px) {
        display: block;
        align-items: unset;
    }
}
.customerWrapper .customerRow + .customerRow {
    margin-top: 1rem;
}
.customerWrapper .customerRow .customerCell {
    flex: 1 1 50%;
    width: 100%;
    max-width: 100%;
}
.customerWrapper .customerRow .customerCell + .customerCell {
    @media (max-width:600px) {
        margin-top: 0.75rem;
    }
}
.customerWrapper .customerRow .customerCell label {
    position: relative;
    display: block;
    box-sizing: border-box;
}
.customerWrapper .customerRow .customerCellLN > label {
    @media (max-width:600px) {
        display: none;
    }
}
.customerWrapper .customerRow .customerCellEmail, 
.customerWrapper .customerRow .customerCellAddress {
    padding-right: 3rem;
}
.customerWrapper .customerRow .zipNestedCell {
    display: inline-block;
}
.customerWrapper input[name='o_buyer_email'] {
    width: 100%;
    max-width: 250px;
}
.customerWrapper input[name='o_buyer_address_1'] {
    width: 100%;
}
.customerWrapper select[name='o_buyer_state'] {
    margin-right: 1rem;
}
.customerWrapper input[name='o_buyer_zip'] {
    width: 70px;
}

.customerRowLogin {
    padding: 1rem;
    
    background-color: #efefef;
}

/* shipping wrapper */ 
.shippingWrapper {
    min-width: 370px;
    width: 100%;
    max-width: 800px;
    margin: 2rem auto;
    padding: 1rem;
    border-left: solid 1px #c0c0c0;

    @media (max-width:360px) {
        min-width: unset;
    }
}
.shippingWrapper .customerRow {
    display: flex;
    align-items: center;

    @media (max-width:600px) {
        display: block;
        align-items: unset;
    }
}
.itemType {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    border: solid 1px #c0c0c0;
    border-radius: 3px;
}
.itemType:hover {
    cursor: pointer;
}
.itemType .itemTypeCkCell {
    width: 32px;
    padding: 4px 0 4px 10px;
    background-color: #f0f0f0;
    border-top-left-radius: 3px;
    border-bottom-left-radius: 3px;
}
.itemType .itemTypeCkCell input {
    margin: 0;
    vertical-align: middle;
}
.itemType .itemTypeTxtCell {
    padding: 4px 10px 4px 4px;
}
.itemType > span {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    vertical-align: middle;
    font-size: 0.813rem;
}
.itemType + .itemType {
    margin-left: 1rem;

    @media (max-width:360px) {
        margin-left: 0;
        margin-right: 10px;
        margin-top: 10px;
    }
}


/* Cart wrapper */
.noCart {
    font-size: 20px;
    font-weight: 600;
}
.cartWrapper {
    width: 100%;
    max-width: 800px;
    margin: 2rem auto;
    border: solid 1px #c0c0c0;

    @media (max-width:540px) {
        display: block;
    }
}
.itemRow {
    display: flex;
    align-items: flex-start;
    gap: 0;

    width: 100%;

    @media (max-width:540px) {
        justify-content: space-between;
        flex-wrap: wrap;
        gap: 0;
    }
}
.itemRowHeader {
    background-color: #f9f9f9;

    @media (max-width:540px) {
        display: none;
    }
}
.itemRowHeader .itemCell {
    font-size: 14px;
}
.itemRow .itemCell {
    flex-shrink: 1;
    flex-grow: 1;
    padding: 0.75rem 0.5rem;
    vertical-align: middle;

    @media (max-width:540px) {
        flex: 1 1 50%;
        align-self: flex-start;
        text-align: left;
    }
}
.itemRow + .itemRow .itemCell {
    border-top: solid 1px #c0c0c0;
}
.itemRowHeader + .itemRow .itemCell {
    border-top: solid 1px #efefef;
}
.itemRow .itemCellNum {
    width: auto;
    max-width: 120px;
    padding-left: 1rem;
    
    @media (max-width:540px) {
        width: 100%;
        max-width: 70px;
    }
}
.itemRow .itemCellQty {
    max-width: 50px;

    @media (max-width:540px) {
        padding-left: 1rem;
        padding-top: 5px;
        max-width: unset;
    }
}
.itemRow .itemCellQty .itemQtyText {
    display: none;

    @media (max-width:540px) {
        display: inline;
    }
}
.itemRow .itemCellLineTotal {
    width: auto;
    max-width: 100px;
    text-align: right;
    padding-right: 1rem;

    @media (max-width:540px) {
        padding-top: 5px;
        max-width: 90px;
    }
}
.itemRowTax .itemCell,
.itemRowShipping .itemCell, 
.itemRowTotal .itemCell {
    text-align: right;
    font-weight: 600;
    padding-right: 1rem;
    background-color: #f9f9f9;
}
.itemRow .itemCellEmpty {

    @media (max-width:540px) {
        display: none;
    }
}
.itemRowTax .itemCell .fineprint {
    font-size: 11px;
    color: #f00;
}
.itemAndQtyLine {
    display: none;

    @media (max-width:540px) {
        display: inline;
    }
}

.ctaSet {
    text-align: right;
}
.ctaSet .button {
    vertical-align: middle;
    font-size: 0.875rem;
}
.ctaSet .button > span {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    bottom: 2px;
    font-size: 1.25rem;
    line-height: 0;
    vertical-align: middle;
}
.ctaSet .button + .button {
    margin-left: 1rem;
}
.ButtonCheckoutNoLogin {
    pointer-events: none;
    opacity: 0.4;
}
.errorCheckout {
    display: none;
    text-align: center;
}
.errorCheckoutShow {
    display: block;
}